/************************************************************************/
/* Gym Theming */
/************************************************************************/
:root {
  --primaryColor: #132559;
  --secondaryColor: #2b2b2b;
  --successColor: #167c53;
  --warningColor: #d46600;
  --dangerColor: #941212;
}

.btn-primary {
  background-color: var(--primaryColor) !important;
  color: #ffffff !important;
  border-style: none !important;
}

.btn-outline-primary {
  border-color: var(--primaryColor) !important;
  color: var(--primaryColor) !important;
  background-color: transparent;
  border-style: solid;
}

.btn:hover {
  transform: scale(1.01) !important;
}

.btn-outline-primary:hover {
  border-color: var(--primaryColor) !important;
  background-color: var(--primaryColor) !important;
  color: #ffffff;
  border-style: solid;
}

.btn-primary:hover {
  transform: scale(1.01);
}

.btn-secondary {
  background-color: var(--secondaryColor) !important;
  color: #ffffff !important;
  border-style: none !important;
}

.btn-secondary:hover {
  transform: scale(1.01);
}

.badge-primary {
  background-color: var(--primaryColor) !important;
  color: #ffffff !important;
}

.badge-secondary {
  background-color: var(--secondaryColor) !important;
  color: #ffffff !important;
}


.form-label {
  color: #591313 !important;
  font-size: 12px;
}

input:read-only {
  background-color: #ececec;
}

input:read-only:focus {
  background-color: #ececec;
}

.txt-primary {
  color: var(--primaryColor) !important;
}

.txt-secondary {
  color: var(--secondaryColor) !important;
}

.bg-secondary {
  background-color: var(--secondaryColor) !important;
  color: #ffffff;
}

.txt-success {
  /* color: #588f70 !important; */
  color: var(--successColor) !important;
}

.txt-light {
  color: #9c9c9c !important;
}

.bg-success {
  background-color: var(--successColor) !important;
  color: #ffffff !important;
}

.txt-white {
  color: #ffffff !important;
}

.link-primary {
  color: #242424 !important;
}

.link-primary:hover {
  background-color: #e8e8e8 !important;
  color: #242424 !important;
  transform: scale(1.05) !important;
}

.link-info {
  color: #0666a1 !important;
}

.link-info:hover {
  background-color: #0666a1 !important;
  color: #ffffff !important;
  transform: scale(1.05) !important;
}

.link-success {
  color: var(--successColor) !important;
}

.link-success:hover {
  background-color: var(--successColor) !important;
  color: #ffffff !important;
  transform: scale(1.05) !important;
}

.link-warning {
  color: var(--warningColor) !important;
}

.link-warning:hover {
  background-color: var(--warningColor) !important;
  color: #ffffff !important;
  transform: scale(1.05) !important;
}


.link-danger {
  cursor: pointer;
  color: var(--dangerColor) !important;
}

.link-danger:hover {
  background-color: var(--dangerColor) !important;
  color: #ffffff !important;
  transform: scale(1.05) !important;
}

.dropdown-menu .dropdown-item {
  opacity: 1 !important;
  border-style: none;
}

.dropdown .dropdown-menu {
  padding: 5px;
  border-radius: 10px;
  border: 1px solid #c0c0c0;
}

.dropdown .dropdown-menu a,
.dropdown .dropdown-menu h6,
.dropdown .dropdown-menu button {
  font-size: 12px;
}

.delete-item-btn {
  font-size: 10px;
  background: none;
  border: none;
  color: #9f1f1f;
  float: right;
  padding: 0;
  padding-left: 10px;
  cursor: pointer;
}


/************************************************************************/
/* NAVBAR */
/************************************************************************/
.page-wrapper.compact-wrapper .page-body-wrapper div.sidebar-wrapper,
footer.footer-dark {
  background: #242424 !important;
}

.page-wrapper.compact-wrapper .page-body-wrapper div.sidebar-wrapper .sidebar-main .sidebar-links .simplebar-wrapper .simplebar-mask .simplebar-content-wrapper .simplebar-content>li .sidebar-link.active {
  background-color: var(--primaryColor) !important;
}

.page-wrapper.compact-wrapper .page-body-wrapper div.sidebar-wrapper .sidebar-main .sidebar-links .simplebar-wrapper .simplebar-mask .simplebar-content-wrapper .simplebar-content>li.sidebar-main-title div {
  background: var(--primaryColor);
}

nav.sidebar-main a span {
  font-size: 12px !important;
  font-weight: 200 !important;
}

.page-wrapper.compact-wrapper .page-body-wrapper div.sidebar-wrapper .sidebar-main .sidebar-links .simplebar-wrapper .simplebar-mask .simplebar-content-wrapper .simplebar-content>li.sidebar-main-title {
  padding: 5px 0 5px 20px;
}

.page-wrapper.compact-wrapper .page-body-wrapper div.sidebar-wrapper .sidebar-main .sidebar-links .simplebar-wrapper .simplebar-mask .simplebar-content-wrapper .simplebar-content>li a {
  padding: 9px 12px;
}


/************************************************************************/
/* Whole Fonts Resizing Table */
/************************************************************************/
body {
  font-size: 12px !important;
}

h1 {
  font-size: 22px !important;
}

h2 {
  font-size: 20px !important;
}

h3 {
  font-size: 18px !important;
}

h4 {
  font-size: 16px !important;
}

h5 {
  font-size: 14px !important;
}

h6 {
  font-size: 12px !important;
}

p {
  font-size: 10px !important;
}

li {
  font-size: 10px !important;
}

input {
  font-size: 12px !important;

}

select {
  font-size: 13px !important;
  height: 30px !important;
}

textarea {
  font-size: 12px !important;
}


/************************************************************************/
/* Responsive Table */
/************************************************************************/
.dt-buttons {
  border: 1px solid var(--primaryColor) !important;
  color: var(--primaryColor) !important;
}

.buttons-html5 {
  font-size: 10px !important;
  font-weight: 400 !important;
  color: var(--primaryColor) !important
}

.paginate_button a {
  font-size: 10px !important;
}

.sidebar-link {
  font-size: 12px !important;
}

.f-10 {
  font-size: 10px !important;
}

.r-align {
  text-align: right;
}

.btn-full {
  width: 100% !important;
}

/* a.btn{
  color: #ffffff !important;
} */

.required {
  color: #ea1515;
  font-size: 12px;
}


.buttons-copy,
.buttons-excel,
.buttons-pdf,
.buttons-csv {
  background: none !important;
  border-style: none;
  color: var(--primaryColor) !important;
  font-weight: 600 !important;
}

.buttons-copy:hover,
.buttons-excel:hover,
.buttons-pdf:hover,
.buttons-csv:hover {
  background: var(--primaryColor) !important;
  color: #ffffff !important;
}

.form-error {
  background-color: #ea1515;
  color: #ffffff !important;
}

ul.actions li a i {
  font-size: 36px !important;
}

.f-20 {
  font-size: 20px;
}

.f-22 {
  font-size: 22px;
}

.dataTables_wrapper .dataTables_filter input[type=search] {
  border-radius: 5px;
  border: 1px dashed #a2a2a2;
  height: 25px;
}

table.dataTable input,
table.dataTable select {
  border: 1px solid #8D8D8D;
  height: 10px !important;
}

table.dataTable input:focus,
table.dataTable select:focus {
  border: 1px solid var(--primaryColor) !important;
}

table.dataTable .form-control-sm {
  min-height: 15px !important;
}

table.dataTable .btn-table {
  border-radius: 60px;
  padding: 0.375rem 0.75rem;
  font-size: 11px;
}

.dataTables_wrapper button {
  font-size: 9px !important;
}

.dataTables_wrapper button i {
  font-size: 10px !important;
}

table.dataTable tbody td,
.table tbody td {
  padding: 0.5rem !important;
  font-size: 11px !important;
}

table.display tbody tr:hover {
  background-color: #6b41411b !important;
  border-left: 2px solid var(--secondaryColor);
}

table.member-details {

  thead,
  tbody,
  tfoot,
  tr,
  td,
  th {
    border-style: none !important;
    margin-left: 0 !important;
    padding-left: 0 !important;
  }

  tr td:first-child {
    font-weight: 600 !important;
  }

  td {
    padding: 0.3rem !important;
  }

}


/************************************************************************/
/* Dashboard */
/************************************************************************/

.card-black {
  background: #000000;
  /* fallback for old browsers */
  background: -webkit-linear-gradient(to right, #8a1111, #000000);
  /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to right, #8a1111, #000000);
  /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
}

.card-black::after {
  /* Overlay Design */
  content: '';
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  /* Cover the right side */
  height: 100%;
  background-image: radial-gradient(circle at 50% 50%, rgba(255, 255, 255, 0.1) 0%, rgba(255, 255, 255, 0) 70%),
    repeating-linear-gradient(135deg, rgba(255, 255, 255, 0.05) 0%, rgba(255, 255, 255, 0.05) 1px, transparent 2px);
  opacity: 0.4;
  /* Adjust the lightness */
  pointer-events: none;
  /* Ensure it doesn't interfere with content */
}

.dashboard-img {
  background-color: #ffffff;
  margin-top: auto;
  margin-bottom: auto;
  border-radius: 30px;
  border-style: 4px solid var(--secondaryColor);
}

.dashboard-img img {
  padding: 10px;
}

.btn-dashboard {
  background: none;
  border: 1px solid #ffffff !important;
  border-radius: 5px;
  color: #ffffff;
  transition: transform 0.5s ease;
}

.btn-dashboard:hover {
  background-color: #ffffff;
  color: var(--secondaryColor);
  transform: scale(1.1) !important;
}


.member-search-suggestion-box {
  position: absolute;
  z-index: 101;
  width: 90%;
  margin-top: 10px;
  border: 2px solid #59131384;
  border-radius: 10px;
  display: none;
  max-height: 200px;
  overflow-y: auto;
  background: #f9f9f9;
  padding: 5px;
}

.member-search-suggestion-box .suggestion-item {
  padding: 5px;
  font-size: 13px;
}


p.serviceStopped {
  animation: blink 1s infinite !important;
}

/* Keyframes for the blinking effect */
@keyframes blink {
  0% {
    opacity: 1;
  }

  50% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}


.today-date {
  margin-bottom: 10px;
  font-size: 18px;
  margin-right: 20px;
  float: right;
  font-weight: 400;
}

.add-btn {
  margin-left: auto;
}

.dashboard-counters h2 {
  font-size: 25px !important;
}

.dashboard-counters p {
  font-size: 12px !important;
}


.custom-link {
  color: #27424d;
  cursor: pointer;
  font-weight: 500;
}

.custom-link:hover {
  font-size: 16px;
}


.small-text {
  font-size: 10px;
  color: #0666a1;
}

.currency {
  font-size: 10px;
  color: #0DA759;
}

.header-info-text {
  font-size: 10px !important;
}

.highlight-primary {
  color: #0666a1;
  font-weight: 600;
}

.pos-all-sessions-list {
  height: 400px;
  overflow-y: scroll;
  overflow-x: hidden;
}

.pos-item-section {
  overflow-y: scroll;
  height: 500px !important;
  overflow-x: hidden;
}

.pos-product-col {
  padding-right: 4px;
  padding-left: 4px;
}

.pos-product-col a {
  font-size: 12px;
}

.card-pos-items {
  border-radius: 10px;
}

.card-pos-items:hover {
  transform: scale(1.06);
  background-color: var(--secondaryColor);
}

.card-pos-items:hover .pos-product-name {
  color: #ececec;
  /* background-color: #d9ffd2; */
}

.card-pos-items:hover .pos-product-price {
  color: #ececec;
  /* background-color: #d9ffd2; */
}

.card-pos-items .card-body {
  padding: 8px 8px;
}

.pos-cat-heading {
  font-size: 16px !important;
  color: #0666a1;
  font-weight: 600;
  padding-bottom: 10px;
}

.pos-product-name {
  font-size: 12px;
  min-height: 70px;
  padding: 0;
  margin: 0;
}

.pos-product-price {
  color: #0f8f4f;
}

.selected-product-list {
  height: 200px;
  overflow-y: scroll;
}

.total-amount {
  font-size: 20px;
}

.tax-amount {
  font-size: 14px;
}

.total-amount span {
  color: #0666a1;
  font-weight: 600;
}


.card-billing .card-header {
  padding: 5px 20px;
  border-bottom: none;
}

.card-billing .card-body {
  padding: 10px 15px;
  border-bottom: none;
}


.side-tags i {
  font-size: 12px !important;
  padding: 5px 5px !important;
}

.clr-cash-out i {
  color: #E44141 !important;
  font-size: 20px !important;
}

.clr-cash-in i {
  color: #0666a1 !important;
  font-size: 20px !important;
}

.clr-view-bills i {
  color: #1ead5c !important;
  font-size: 18px !important;
}

.clr-close-register i {
  color: #515353 !important;
  font-size: 18px !important;
}

.paid-via-cash {
  color: #1ead5c !important;
  font-size: 20px !important;
}

.paid-via-card {
  color: #f2741a !important;
  font-size: 20px !important;
}


.customizer-links>.nav {
  padding: 5px !important;
}

.customizer-links .nav-link span {
  padding: 5px 10px !important;
  font-size: 10px !important;
}

#differenceCash {
  color: #E44141;
}

.cash-summary {
  font-size: 14px !important;
  font-weight: 600;
}


.page-wrapper.compact-wrapper .page-body-wrapper .page-body {
  min-height: calc(100vh - 60px) !important;
}

/* Removing topbar and minimizing margin-top to remove extra space */
.page-wrapper .page-body-wrapper .page-body {
  margin-top: 20px !important;
}

.footer {
  padding: 5px !important;
  z-index: 999 !important;
}


/* =============== PRINTER RECEIPT =========================*/
.receipt {
  margin: auto;
  margin-top: 40px;
  margin-bottom: 20px;
  background-color: #ececec;
  /* height: 350px; */
  overflow-y: scroll;
}

.receipt-body {
  margin: auto;
  margin-top: 5px;
  margin-bottom: 5px;
  padding: 20px;
  background-color: #ffffff;
  width: 100%;
}

.billing-table {
  border: none;
  margin-bottom: 50px !important;
}

.billing-table thead {
  background-color: #eeeeee !important;
}

.billing-table td {
  border-style: none !important;
}

.billing-table td {
  border: none;

}

.receipt-body .logo {
  text-align: center;
  margin: auto;
  /* margin-top: 30px; */

}

.receipt-body .logo img {
  width: 120px;
}

.receipt-body .logo p {
  opacity: 1 !important;
  font-weight: 400 !important;
  font-size: 14px !important;
}

.receipt-body .business-details {
  margin: auto;
  text-align: center;
}


.session-summary p {
  font-size: 15px !important;
  font-weight: 400;
}

.billing-details {
  display: flex;
}

.billing-details p {
  margin-left: auto;
  font-size: 16px !important;
}

.billing-details h2 {
  margin-left: auto;
}

.card-bg-warning-prompt {
  background-color: #ffdada;
  color: #ffffff;
  border: 1px solid var(--warningColor);
}

.card-bg-warning-prompt .card-header {
  background: none;
  /* color: white; */
}

.card-bg-warning-prompt .card-header h4 {
  color: var(--warningColor);
}


.card-bg-info-prompt {
  background-color: #fffada;
  color: #ffffff;
  border: 1px solid #ffbd4b;
}

.card-bg-info-prompt .card-header {
  background: none;
}

.card-bg-info-prompt .card-header h4 {
  color: #f6a821;
}


.body-fixed-height {
  max-height: 490px;
  overflow-y: scroll;
}


.row-card-date {
  padding-right: 35px;
  padding-left: 35px;
}

.row-card-date .card {
  padding: 0;
  box-shadow: 1px 1px 5px #939393;
}

.row-card-date .card-header {
  padding: 0;
  background-color: #0666a1;

  p {
    color: #ffffff;
  }
}

.row-card-date .card-body {
  h2 {
    font-size: 40px !important;
  }

  p {
    font-size: 20px !important;
  }
}